
From: Sam Ravnborg <sam@ravnborg.org>

The EXTRA_CFLAGS assignments in the following files are a left-over from
the early 2.5 days where the source was not compiled from the root of the
source tree.

Removing these wrong assignments fixes
http://bugme.osdl.org/show_bug.cgi?id=2210

A script named 'kernel' in the .. directory no longer halt compilation.


---

 25-akpm/arch/i386/mach-default/Makefile |    2 --
 25-akpm/arch/i386/mach-es7000/Makefile  |    2 --
 25-akpm/arch/i386/mach-pc9800/Makefile  |    2 --
 25-akpm/arch/i386/mach-visws/Makefile   |    2 --
 4 files changed, 8 deletions(-)

diff -puN arch/i386/mach-default/Makefile~kbuild-redundant-CFLAGS arch/i386/mach-default/Makefile
--- 25/arch/i386/mach-default/Makefile~kbuild-redundant-CFLAGS	Mon Mar  1 15:06:02 2004
+++ 25-akpm/arch/i386/mach-default/Makefile	Mon Mar  1 15:06:02 2004
@@ -2,6 +2,4 @@
 # Makefile for the linux kernel.
 #
 
-EXTRA_CFLAGS	+= -I../kernel
-
 obj-y				:= setup.o topology.o
diff -puN arch/i386/mach-es7000/Makefile~kbuild-redundant-CFLAGS arch/i386/mach-es7000/Makefile
--- 25/arch/i386/mach-es7000/Makefile~kbuild-redundant-CFLAGS	Mon Mar  1 15:06:02 2004
+++ 25-akpm/arch/i386/mach-es7000/Makefile	Mon Mar  1 15:06:02 2004
@@ -2,6 +2,4 @@
 # Makefile for the linux kernel.
 #
 
-EXTRA_CFLAGS	+= -I../kernel
-
 obj-y		:= setup.o topology.o es7000.o
diff -puN arch/i386/mach-pc9800/Makefile~kbuild-redundant-CFLAGS arch/i386/mach-pc9800/Makefile
--- 25/arch/i386/mach-pc9800/Makefile~kbuild-redundant-CFLAGS	Mon Mar  1 15:06:02 2004
+++ 25-akpm/arch/i386/mach-pc9800/Makefile	Mon Mar  1 15:06:02 2004
@@ -2,6 +2,4 @@
 # Makefile for the linux kernel.
 #
 
-EXTRA_CFLAGS	+= -I../kernel
-
 obj-y				:= setup.o topology.o
diff -puN arch/i386/mach-visws/Makefile~kbuild-redundant-CFLAGS arch/i386/mach-visws/Makefile
--- 25/arch/i386/mach-visws/Makefile~kbuild-redundant-CFLAGS	Mon Mar  1 15:06:02 2004
+++ 25-akpm/arch/i386/mach-visws/Makefile	Mon Mar  1 15:06:02 2004
@@ -2,8 +2,6 @@
 # Makefile for the linux kernel.
 #
 
-EXTRA_CFLAGS	+= -I../kernel
-
 obj-y				:= setup.o traps.o reboot.o
 
 obj-$(CONFIG_X86_VISWS_APIC)	+= visws_apic.o

_
